Subject: Re: next-20190206 build: 3 failures 22 warnings (next-20190206)

From: Mark Brown <[email-masked]>
Date: Wed, 6 Feb 2019 18:24:31 +0000

On Wed, Feb 06, 2019 at 05:48:58PM +0000, Build bot for Mark Brown wrote:

Today's -next fails to build an arm64 defconfig and allmodconfig due to:

> ERROR: "dma_direct_free" [drivers/gpu/host1x/host1x.ko] undefined!
> ERROR: "dma_direct_alloc" [drivers/gpu/host1x/host1x.ko] undefined!

due to 7a0658caa44d01 (gpu: host1x: Use direct DMA with IOMMU API usage)
which adds usage of those non-exported functions.  Either the functions
need exporting, the driver needs to be built in or those functions can't
be used.
_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel